import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core/ES2015/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { Path } from "igniteui-react-core/ES2015/Path";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare class RadialPieSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    oj: RadialPieSeriesView;
    constructor();
    ok: number;
    ol: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hp(a: boolean, b: SeriesView): void;
    ed(): number;
    ne(a: RadialFrame, b: RadialBaseView): void;
    private or;
    private oq;
    protected is(a: any, b: string, c: any, d: any): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialPieSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected cw: RadialPieSeries;
    constructor(a: RadialPieSeries);
    cx: Pool$1<Path>;
    ap(): void;
    protected cy: List$1<Path>;
    c3(): Path;
    cz(a: Path): void;
    c1(a: Path): void;
    c0(a: Path): void;
    protected bb(a: any, b: number): void;
    protected bc(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    c2(): void;
    ai(a: any): void;
}
